import request from '@/utils/request'

// 查询门店统计列表
export function listStatistics(query) {
  return request({
    url: '/settlement/store/statistics/list',
    method: 'get',
    params: query
  })
}

export function listStatisticsByStore(query) {
  return request({
    url: '/settlement/store/statistics/list/bystore',
    method: 'get',
    params: query
  })
}



// 查询门店统计详细
export function getStatistics(id) {
  return request({
    url: '/settlement/store/statistics/' + id,
    method: 'get'
  })
}

// 导出门店统计
export function exportStatistics(query) {
  return request({
    url: '/settlement/store/statistics/export',
    method: 'get',
    params: query
  })
}

// 查询充值统计列表
export function listChargeStatistics(query) {
  return request({
    url: '/settlement/store/statistics/charge/list',
    method: 'get',
    params: query
  })
}

// 导出门店充值统计
export function exportChargeStatistics(query) {
  return request({
    url: '/settlement/store/statistics/charge/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}


// 查询充值统计列表
export function listChargeStatisticsByStore(query) {
  return request({
    url: '/settlement/store/statistics/charge/bystore',
    method: 'get',
    params: query
  })
}


